Skip to main content
`Ctrl`+`K`

# MatKAIJGetSRead

Get a read-only pointer to the `S` matrix describing the shift action of the `MATKAIJ` matrix

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatKAIJGetSRead(Mat A, PetscInt *m, PetscInt *n, const PetscScalar *S[])

Not Collective; the entire `S` is stored and returned independently on all processes.

## Input Parameter

- A - the `MATKAIJ` matrix

## Output Parameters

- m - the number of rows in `S`

- n - the number of columns in `S`

- S - the S matrix, in form of a scalar array in column-major format

## Note

All output parameters are optional (pass `NULL` if not desired)

## See Also

Matrices, `Mat`, `MATKAIJ`, `MatCreateKAIJ()`, `MatGetBlockSizes()`

## Level

advanced

## Location

src/mat/impls/kaij/kaij.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages